import { LitElement } from 'lit-element/lit-element.js';
export declare class KcEditableNumber extends LitElement {
    value: number;
    protected editing: boolean;
    protected inputEl?: HTMLInputElement;
    protected labelEl?: HTMLLabelElement;
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    renderLabel(): import("lit-element").TemplateResult;
    renderInput(): import("lit-element").TemplateResult;
    onMouseDown(e: MouseEvent): void;
    _onClick(): void;
    _onInputKeyDown(e: KeyboardEvent): void;
    _onInputBlur(): void;
    cancel(): void;
    apply(): void;
}
